Index: doc/latex/classBMcond__inherit__graph.eps
===================================================================
--- doc/latex/classBMcond__inherit__graph.eps (revision 140)
+++ doc/latex/classBMcond__inherit__graph.eps (revision 224)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sun Oct 12 22:28:10 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,29 +180,29 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 510 124
+%%PageBoundingBox: 36 36 602 124
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 474 88 boxprim clip newpath
+36 36 566 88 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 123 58 moveto
-123 79 lineto
-177 79 lineto
-177 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 123 58 moveto
-123 79 lineto
-177 79 lineto
-177 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-131 65.5 moveto 38 (BMcond) alignedtext
+newpath 172 58 moveto
+172 79 lineto
+226 79 lineto
+226 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 172 58 moveto
+172 79 lineto
+226 79 lineto
+226 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+180 65.5 moveto 38 (BMcond) alignedtext
 grestore
 % Node2
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 113 57 moveto
-88 47 56 31 39 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 112.42 60.54 moveto
-123 61 lineto
-115.02 54.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112.42 60.54 moveto
-123 61 lineto
-115.02 54.04 lineto
+newpath 162 62 moveto
+124 52 70 33 42 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.51 65.47 moveto
+172 64 lineto
+162.88 58.61 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.51 65.47 moveto
+172 64 lineto
+162.88 58.61 lineto
 closepath stroke
 grestore
@@ -257,18 +257,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 118 54 moveto
-96 43 68 30 50 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 116.44 57.14 moveto
-127 58 lineto
-119.28 50.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 116.44 57.14 moveto
-127 58 lineto
-119.28 50.74 lineto
+newpath 162 58 moveto
+129 48 82 32 53 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.42 61.48 moveto
+172 61 lineto
+163.43 54.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.42 61.48 moveto
+172 61 lineto
+163.43 54.77 lineto
 closepath stroke
 grestore
@@ -278,18 +278,39 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 129 53 moveto
-109 42 80 29 58 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 127.56 56.2 moveto
-138 58 lineto
-130.96 50.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 127.56 56.2 moveto
-138 58 lineto
-130.96 50.08 lineto
+newpath 162 55 moveto
+131 44 87 28 58 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.42 58.48 moveto
+172 58 lineto
+163.43 51.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.42 58.48 moveto
+172 58 lineto
+163.43 51.77 lineto
+closepath stroke
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 173 54 moveto
+142 42 91 25 58 17 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 172.42 57.54 moveto
+183 58 lineto
+175.02 51.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 172.42 57.54 moveto
+183 58 lineto
+175.02 51.04 lineto
 closepath stroke
 grestore
@@ -319,23 +340,90 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 137 50 moveto
-130 40 122 29 117 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 133.73 51.38 moveto
-142 58 lineto
-139.67 47.66 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 133.73 51.38 moveto
-142 58 lineto
-139.67 47.66 lineto
+newpath 173 52 moveto
+158 42 138 29 125 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 171.74 55.37 moveto
+182 58 lineto
+175.62 49.54 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 171.74 55.37 moveto
+182 58 lineto
+175.62 49.54 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 162 1 218 21 ]
+[ /Rect [ 162 1 236 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__cond.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 162 0 moveto
+162 21 lineto
+237 21 lineto
+237 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 162 0 moveto
+162 21 lineto
+237 21 lineto
+237 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+169.5 7.5 moveto 59 (EKFCh_cond) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 193 48 moveto
+192 38 193 28 194 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 189.52 48.4 moveto
+194 58 lineto
+196.49 47.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 189.52 48.4 moveto
+194 58 lineto
+196.49 47.7 lineto
+closepath stroke
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 205 48 moveto
+206 38 205 28 204 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 201.51 47.7 moveto
+204 58 lineto
+208.48 48.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 201.51 47.7 moveto
+204 58 lineto
+208.48 48.4 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 254 1 310 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFfixed.html) >>
@@ -343,45 +431,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 162 0 moveto
-162 21 lineto
-218 21 lineto
-218 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 162 0 moveto
-162 21 lineto
-218 21 lineto
-218 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-170 7.5 moveto 40 (EKFfixed) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 163 50 moveto
-170 40 178 29 183 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 160.33 47.66 moveto
-158 58 lineto
-166.27 51.38 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 160.33 47.66 moveto
-158 58 lineto
-166.27 51.38 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 236 1 310 21 ]
+newpath 254 0 moveto
+254 21 lineto
+310 21 lineto
+310 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 254 0 moveto
+254 21 lineto
+310 21 lineto
+310 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+262 7.5 moveto 40 (EKFfixed) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 223 52 moveto
+238 42 256 29 268 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 220.9 49.2 moveto
+215 58 lineto
+225.1 54.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 220.9 49.2 moveto
+215 58 lineto
+225.1 54.8 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 328 1 402 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFful__unQR.html) >>
@@ -389,45 +477,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 236 0 moveto
-236 21 lineto
-311 21 lineto
-311 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 236 0 moveto
-236 21 lineto
-311 21 lineto
-311 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-243.5 7.5 moveto 59 (EKFful_unQR) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 182 54 moveto
-204 43 233 30 252 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 180.72 50.74 moveto
-173 58 lineto
-183.56 57.14 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180.72 50.74 moveto
-173 58 lineto
-183.56 57.14 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 328 1 392 21 ]
+newpath 328 0 moveto
+328 21 lineto
+403 21 lineto
+403 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 328 0 moveto
+328 21 lineto
+403 21 lineto
+403 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+335.5 7.5 moveto 59 (EKFful_unQR) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 236 56 moveto
+266 46 308 31 336 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 233.98 53.04 moveto
+226 60 lineto
+236.58 59.54 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 233.98 53.04 moveto
+226 60 lineto
+236.58 59.54 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 420 1 484 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondQR.html) >>
@@ -435,45 +523,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 328 0 moveto
-328 21 lineto
-392 21 lineto
-392 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 328 0 moveto
-328 21 lineto
-392 21 lineto
-392 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-336 7.5 moveto 48 (KFcondQR) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 187 59 moveto
-227 48 290 30 328 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 185.57 55.77 moveto
-177 62 lineto
-187.58 62.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 185.57 55.77 moveto
-177 62 lineto
-187.58 62.48 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 410 1 466 21 ]
+newpath 420 0 moveto
+420 21 lineto
+484 21 lineto
+484 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 420 0 moveto
+420 21 lineto
+484 21 lineto
+484 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+428 7.5 moveto 48 (KFcondQR) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 236 61 moveto
+279 52 350 37 411 22 curveto
+414 21 417 20 420 20 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 235.12 57.61 moveto
+226 63 lineto
+236.49 64.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235.12 57.61 moveto
+226 63 lineto
+236.49 64.47 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 502 1 558 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondR.html) >>
@@ -481,41 +570,41 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 410 0 moveto
-410 21 lineto
-467 21 lineto
-467 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 410 0 moveto
-410 21 lineto
-467 21 lineto
-467 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-417.5 7.5 moveto 41 (KFcondR) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 187 63 moveto
-236 55 326 40 401 22 curveto
-404 21 407 20 410 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 186.12 59.61 moveto
-177 65 lineto
-187.49 66.47 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 186.12 59.61 moveto
-177 65 lineto
-187.49 66.47 lineto
+newpath 502 0 moveto
+502 21 lineto
+559 21 lineto
+559 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 502 0 moveto
+502 21 lineto
+559 21 lineto
+559 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+509.5 7.5 moveto 41 (KFcondR) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 236 65 moveto
+292 57 401 43 493 22 curveto
+496 21 499 20 502 20 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 235.6 61.52 moveto
+226 66 lineto
+236.3 68.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235.6 61.52 moveto
+226 66 lineto
+236.3 68.49 lineto
 closepath stroke
 grestore
@@ -527,5 +616,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 510 124
+%%BoundingBox: 36 36 602 124
 end
 restore
